Bug 874250 - UnicodeDecodeError: 'ascii' codec can't decode byte 0xe6 in position 60: ordinal not in range(128)
Summary: UnicodeDecodeError: 'ascii' codec can't decode byte 0xe6 in position 60: ordi...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-meh
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vratislav Podzimek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-07 19:21 UTC by Steve Tyler
Modified: 2013-01-12 01:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-12 01:29:28 UTC
Type: Bug


Attachments (Terms of Use)

Description Steve Tyler 2012-11-07 19:21:09 UTC
Description of problem:
[snippet from end of anaconda-tb in Attachment 639424 [details] to Bug 873767)]
...
Exception occurred during /var/log/messages file copy:
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/meh/dump.py", line 430, in dump
    ret += line
UnicodeDecodeError: 'ascii' codec can't decode byte 0xe6 in position 60: ordinal not in range(128)

Please assign to Vratislav per Bug 873767, Comment 17.

Version-Release number of selected component (if applicable):
python-meh-0:0.18-1.fc18.noarch (on Live CD)
anaconda-18.25-1.fc18.x86_64 (updated from what is on Live CD)
Fedora-18-Beta-TC7-x86_64-Live-Desktop.iso

How reproducible:
Only tried once.

Steps to Reproduce:
Select Chinese (Taiwan).
Click keyboard spoke.
  
Actual results:
See:
Bug 873767 - UnicodeDecodeError: 'ascii' codec can't decode byte 0xe4 in position 3: ordinal not in range

Expected results:


Additional info:

Comment 1 Steve Tyler 2012-11-07 19:24:16 UTC
[Copied from Bug 873767, Comment 17]
Vratislav Podzimek 2012-11-07 17:45:49 UTC

(In reply to comment #14)
> A second bug?
> 
> [snippet from end of attached anaconda-tb]
> ...
> Exception occurred during /var/log/messages file copy:
> Traceback (most recent call last):
>   File "/usr/lib/python2.7/site-packages/meh/dump.py", line 430, in dump
>     ret += line
> UnicodeDecodeError: 'ascii' codec can't decode byte 0xe6 in position 60:
> ordinal not in range(128)
This is a separate bug in python-meh. It tries to include /var/log/messages line by line to the dump. Please create a separate bug with this snippet against python-meh and assing it to me. Thanks!

Comment 2 Fedora Update System 2012-12-05 09:43:43 UTC
python-meh-0.19-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-meh-0.19-1.fc18

Comment 3 Fedora Update System 2012-12-05 23:09:49 UTC
Package python-meh-0.19-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-meh-0.19-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19799/python-meh-0.19-1.fc18
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2012-12-11 12:26:14 UTC
python-meh-0.20-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-meh-0.20-1.fc18

Comment 5 Fedora Update System 2013-01-12 01:29:32 UTC
python-meh-0.20-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.